summaryrefslogtreecommitdiffstats
path: root/development/cvsps
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2011-07-18 09:50:13 -0300
committer Robby Workman <rworkman@slackbuilds.org>2011-07-21 22:52:10 -0500
commit0cf25d74fe54da3bc2aff510e5f4db8ab580637f (patch)
treef7b41d87fb619e71330de03601177da58e5750dd /development/cvsps
parent6cbd6b1beb635a58f5038f69a9f07d6821ca16f3 (diff)
downloadslackbuilds-0cf25d74fe54da3bc2aff510e5f4db8ab580637f.tar.gz
slackbuilds-0cf25d74fe54da3bc2aff510e5f4db8ab580637f.tar.xz
development/cvsps: Added (cvs patchset generator)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'development/cvsps')
-rw-r--r--development/cvsps/README7
-rw-r--r--development/cvsps/cvsps.SlackBuild77
-rw-r--r--development/cvsps/cvsps.info10
-rw-r--r--development/cvsps/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/development/cvsps/README b/development/cvsps/README
new file mode 100644
index 0000000000..b36ac600c7
--- /dev/null
+++ b/development/cvsps/README
@@ -0,0 +1,7 @@
+CVSps is a program for generating 'patchset' information from a CVS
+repository. A patchset in this case is defined as a set of changes made
+to a collection of files, and all committed at the same time (using a
+single 'cvs commit' command). This information is valuable to seeing the
+big picture of the evolution of a cvs project. While cvs tracks revision
+information, it is often difficult to see what changes were committed
+'atomically' to the repository.
diff --git a/development/cvsps/cvsps.SlackBuild b/development/cvsps/cvsps.SlackBuild
new file mode 100644
index 0000000000..75530d6fd6
--- /dev/null
+++ b/development/cvsps/cvsps.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+# Slackbuild for cvsps
+# Written by JK Wood <joshuakwood@gmail.com>
+
+PRGNAM=cvsps
+VERSION=2.2b1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+PREFIX=/usr \
+make || exit 1
+
+mkdir -p $PKG/usr/bin
+install cvsps $PKG/usr/bin/
+
+mkdir -p $PKG/usr/man/man1
+install -m 644 cvsps.1 $PKG/usr/man/man1/
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ); do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/cvsps/cvsps.info b/development/cvsps/cvsps.info
new file mode 100644
index 0000000000..e75970a3a3
--- /dev/null
+++ b/development/cvsps/cvsps.info
@@ -0,0 +1,10 @@
+PRGNAM="cvsps"
+VERSION="2.2b1"
+HOMEPAGE="http://www.cobite.com/cvsps/"
+DOWNLOAD="http://www.cobite.com/cvsps/cvsps-2.2b1.tar.gz"
+MD5SUM="997580e8e283034995b9209076858c68"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
+APPROVED="Niels Horn"
diff --git a/development/cvsps/slack-desc b/development/cvsps/slack-desc
new file mode 100644
index 0000000000..88081f0070
--- /dev/null
+++ b/development/cvsps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cvsps: cvsps (cvs patchset generator)
+cvsps:
+cvsps: cvsps generates patchsets - essentially, changes related to single
+cvsps: commit actions - for cvs repositories.
+cvsps:
+cvsps:
+cvsps:
+cvsps:
+cvsps:
+cvsps: Homepage: http://www.cobite.com/cvsps/
+cvsps: